Ruby up to 1.9.0 Safe Level input validation

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
6.6$0-$5k0.00

A vulnerability was found in Ruby up to 1.9.0 (Programming Language Software). It has been classified as critical. Affected is an unknown functionality of the component Safe Level. The manipulation with an unknown input leads to a input validation vulnerability. CWE is classifying the issue as CWE-20. The product receives input or data, but it does not validate or incorrectly validates that the input has the properties that are required to process the data safely and correctly. This is going to have an impact on confidentiality, integrity, and availability.

The bug was discovered 08/08/2008. The weakness was shared 08/12/2008 (Website). The advisory is available at us-cert.gov. This vulnerability is traded as CVE-2008-3657 since 08/12/2008. The exploitability is told to be easy. It is possible to launch the attack remotely. The exploitation doesn't require any form of authentication. Technical details are unknown but a public exploit is available.

A public exploit has been developed in Ruby. The exploit is shared for download at securityfocus.com. It is declared as proof-of-concept. The vulnerability was handled as a non-public zero-day exploit for at least 4 days. During that time the estimated underground price was around $0-$5k. The vulnerability scanner Nessus provides a plugin with the ID 34502 (CentOS 4 / 5 : ruby (CESA-2008:0897)), which helps to determine the existence of the flaw in a target environment. It is assigned to the family CentOS Local Security Checks and running in the context l. The commercial vulnerability scanner Qualys is able to test this issue with plugin 165649 (SUSE Enterprise Linux Security Update dhcp-client (SUSE-SA:2009:037)).

Upgrading eliminates this vulnerability. A possible mitigation has been published 3 months after the disclosure of the vulnerability.

The vulnerability is also documented in the databases at X-Force (46108) and Tenable (34502). The entries 3810, 23858, 30376 and 40710 are related to this item.

Productinfo

Type

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv3info

VulDB Meta Base Score: 7.3
VulDB Meta Temp Score: 6.6

VulDB Base Score: 7.3
VulDB Temp Score: 6.6
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Input validation
CWE: CWE-20
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Access: Public
Status: Proof-of-Concept
Programming Language: 🔍
Download: 🔍

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 34502
Nessus Name: CentOS 4 / 5 : ruby (CESA-2008:0897)
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 61773
OpenVAS Name: Debian Security Advisory DSA 1651-1 (ruby1.8)
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍
Fortigate IPS: 🔍

Timelineinfo

08/08/2008 🔍
08/11/2008 +3 days 🔍
08/12/2008 +1 days 🔍
08/12/2008 +0 days 🔍
08/12/2008 +0 days 🔍
08/12/2008 +0 days 🔍
08/12/2008 +0 days 🔍
10/12/2008 +61 days 🔍
10/28/2008 +16 days 🔍
10/28/2008 +0 days 🔍
03/17/2015 +2331 days 🔍
08/18/2019 +1615 days 🔍

Sourcesinfo

Advisory: us-cert.gov
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2008-3657 (🔍)
OVAL: 🔍

X-Force: 46108
SecurityTracker: 1020652
Vulnerability Center: 19679 - Ruby dl Module Allows Bypassing of Safe Levels, Medium
SecurityFocus: 30644 - Ruby Multiple Security Bypass and Denial of Service Vulnerabilities
Secunia: 31430
OSVDB: 47472 - CVE-2008-3657 - Ruby - Security Bypass Issue
Vupen: ADV-2008-2334

scip Labs: https://www.scip.ch/en/?labs.20161013
See also: 🔍

Entryinfo

Created: 03/17/2015 12:19 PM
Updated: 08/18/2019 09:06 AM
Changes: 03/17/2015 12:19 PM (79), 08/18/2019 09:06 AM (13)
Complete: 🔍

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you need the next level of professionalism?

Upgrade your account now!